#!/usr/bin/perl -w

# convert an XBM image to an .asm file that does stuff vertically

@imgbytes = ();

while (<>) {
	if (/^\s+(0x\w\w,\s*)*/) {
		s/\,\s*$//;
		s/\s*\}\;\s*$//;
		@linebytes = split /,\s*/ , $_;
		foreach (@linebytes) {
			tr/1234578abcde/84c2ae15d3b7/;
			s/0x(\w)(\w)/0x$2$1/g;
			push @imgbytes, $_
		}
	}
}

$width = 64;
$height = 48;
for ($x = 0; $x < $width; $x++) {
	print "\tdb ";
	for ($y = 0; $y < $height; $y++) {
		print $imgbytes[$x + $y * $width];
		print "," unless $y == $height - 1;
	}
	print "\n"
}
